### Method

# FwupdPlugin IOChannel seek

#### Declaration [src]

    gboolean
    fu_io_channel_seek (
      FuIOChannel* self,
      gsize offset,
      GError** error
    )

#### Description [src]

Seeks the file descriptor to a specific offset.

Available since: | 2.0.0

#### Parameters

`offset` | `gsize`
| An absolute offset in bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if all the seek worked.